Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Contact Center

Zoom Contact Center - August 22, 2022

API releaseDeprecation

Summary:Added APIs for notes, recordings, reports, skills, and users. Added webhooks for engagements, queues, tasks, and users. Enhancements to delete engagement recordings API. Deprecated list historical voice queue reports API.

Added - APIs

  • New Notes APIs:

    • GET /v2/contact_center/engagements/notes
    • GET /v2/contact_center/engagements/{engagementId}/notes
    • GET /v2/contact_center/engagements/{engagementId}/notes/{noteId}
    • PATCH /v2/contact_center/engagements/{engagementId}/notes/{noteId}
  • New Recording APIs:

    • GET /v2/contact_center/queues/{queueId}/recordings
    • DELETE /v2/contact_center/queues/{queueId}/recordings
    • DELETE /v2/contact_center/users/{userId}/recordings
  • New Reports APIs:

    • GET /v2/contact_center/analytics/historical/queues/metrics
    • GET /v2/contact_center/analytics/historical/details/metrics
    • GET /v2/contact_center/analytics/historical/queues/{queueId}/agents/metrics
  • New Skills APIs:

    • POST /v2/contact_center/skills
    • GET /v2/contact_center/skills
    • DELETE /v2/contact_center/skills/{skillId}
    • PATCH /v2/contact_center/skills/{skillId}
    • GET /v2/contact_center/skills/{skillId}
    • POST /v2/contact_center/skills/categories
    • GET /v2/contact_center/skills/categories
    • DELETE /v2/contact_center/skills/categories/{skillCategoryId}
    • PATCH /v2/contact_center/skills/categories/{skillCategoryId}
    • GET /v2/contact_center/skills/categories/{skillCategoryId}
    • GET /v2/contact_center/users/{userId}/skills
    • POST /v2/contact_center/users/{userId}/skills
    • DELETE /v2/contact_center/users/{userId}/skills/{skillId}
  • New Users APIs:

    • GET /v2/contact_center/skills/{skillId}/users
    • GET /v2/contact_center/skills/{skillId}/users/{userId}

Added - Webhooks

  • New Engagementwebhook events:

    • contact_center.engagement_user_answered
    • contact_center.engagement_user_ended
    • contact_center.engagement_user_hold
    • contact_center.engagement_user_unhold
    • contact_center.engagement_user_muted
    • contact_center.engagement_user_unmuted
    • contact_center.engagement_user_dtmf_sent
  • New Queuewebhook events:

    • contact_center.queue_created
    • contact_center.queue_deleted
  • New Taskwebhook events:

    • contact_center.task_entered_queue
    • contact_center.task_exited_queue
  • New Userwebhook events:

    • contact_center.user_login
    • contact_center.user_logout
    • contact_center.user_opt_in
    • contact_center.user_opt_out
    • contact_center.user_status_changed
    • contact_center.user_created

Enhancements

  • New query parameterdelete_all_recordingsinDelete Engagement RecordingsAPI:
    • DELETE /v2/contact_center/engagements/{engagementId}/recordings

Deprecations

  • DeprecateList Historical Voice Queue ReportsAPI:
    • GET /v2/contact_center/analytics/historical/voice/queues/metrics